//adapted from Rui Santos:   Complete project details at https://RandomNerdTutorials.com/esp32-web-server-sent-events-sse/

// Replaces placeholder with value - NB this is used on initial connection, not thereafter

String processor(const String& var){
  if(var == "TIME"){ return String(myDate);  }
  else if(var == "DTOTAL"){ return String(dTotalkWh,2);  } //precision is set differently to the event so can see if an update has occurred
  else if(var == "YTOTAL"){ return String(yTotalkWh,2);  }
  else if(var == "PWATTS"){ return String(pWatts);  }
  else if(var == "MWATTS"){ return String(mWatts);  }
  else if(var == "CWATTS"){ return String(cWatts);  }
  return String();
}


void buildDate()
{ //get integer values for date & time
  int YYYY = 1900 + timeinfo.tm_year; // timeinfo.tm_year gives years since 1900
  int MM = 1 + timeinfo.tm_mon; // timeinfo.tm_mon gives months since january ie 0 - 11;
  int DD = timeinfo.tm_mday;
  int hh = timeinfo.tm_hour;
  int mm = timeinfo.tm_min;
  int ss = timeinfo.tm_sec;
  snprintf(dayStamp, 12, "%02d/%02d/%04d", DD, MM, YYYY);
  snprintf(timeStamp, 12, "%02d:%02d", hh, mm);
  myDate = String(dayStamp) + ", " +  String(timeStamp);
}
